/* File Name: UCTNstyles.css */
/* Author : Paul Della'Zanna */

body {
    background-color: #ffffff;
    margin-top: 0;
    margin-bottom: 0;
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;	
}

h1 {
    color: blue;
    text-align: left;
    margin: 0;
}

th {
    height: 14pt;
    text-align: left;
}

tr {
    height: 14pt;
    text-align: left;
}

a:link {
    color: #3567E6;
    background-color: transparent;
    text-decoration: none;
}

a:visited {
    color: #B87C1D;
    background-color: transparent;
    text-decoration: none;
}

.showLines {
    max-width: 100%;
    margin: 0 auto;
}

.showLines tr:nth-child(2n+1) {
    background-color: #fefefe; 
} 

.showLines tr:nth-child(2n+0) {
    background-color: #F0F8FF; 
}

.BG0 {
	color: black;
}

.BG1 {
	color: #0aaa45;
}

.BG2 {
	color: Red;
}

.BG3 {
	color: Orange;
}

.BG4 {
	color: Blue;
}

.BG5 {
	color: Magenta;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 10px;
}

th, td {
    border: 1px solid #ddd;
    padding: 3px;
    text-align: left;
}

th {
    background-color: #F0F8FF;
}

th:first-child, td:first-child {
    width: 30px; /* Adjust the width as needed */
}

th:nth-child(2), td:nth-child(2) /* Call Sign */ {
    width: 90px; /* Adjust the width as needed */
}

th:nth-child(5), td:nth-child(5)  /* State */ {
    width: 9px;
}

/* Increase the size of specific columns */
th:nth-child(3), td:nth-child(3), /* Name */
th:nth-child(4), td:nth-child(4), /* City */
th:nth-child(6), td:nth-child(6)  /* Notes */ {
    width: 320px;
}

#mainDisplay {
	position: relative;
}

#showLines {
	width: 95%;
	/height: 326px;
	display: inline-block;
	 /border: 2px solid green;


}
#showButtons {
	
	width: 5%; 
	/height: 326px;
	display: inline-block;
    flex-direction: column;
    justify-content: space-between;
	position:absolute;
	top: 0; /* Align the first button to the top of the showLines section */
    bottom: 0; /* Align the second button to the bottom of the showLines section */
	/border: 2px solid blue;

}
#showButtons table {
    margin: auto;
}

#Controls {
    /border: 2px solid red;
}


        .form-container {
            display: flex;
           justify-content: space-between;
        }

        .form-group {
            flex: 1;
            margin-right: 17px; /* Optional: Add margin between input fields */
        }

		.eSmall{
            width: 40px; /* Adjust the width based on your preference */
        }
		
		.eLarge {
            width:295px; /* Adjust the width based on your preference */
        }

		.custom-width10 {
            width: 10px; /* Adjust the width based on your preference */
        }
		
		
		
        input {
            width: 100%;
            padding: 5px;
        }
  
   /* Styles for the modal */
  .modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    justify-content: center;
    align-items: center;
  }
  
  .modal-content {
    background-color: white;
    padding: 20px;
    border-radius: 5px;
    max-width: 400px;
    text-align: center;
  }

  .modal-content button {
    width: 100%;
    margin-bottom: 5px;
  }
  
   #toggleSecureBtn {
    color: #0aaa45; 
  }
  
   #toggleCommentBtn {
    color: Red; 
  }
  
   #toggleQueryBtn {
    color: orange; 
  }
  
   #toggleAnnounceBtn {
    color: blue; 
  }
  
   #toggleSpecialBtn {
    color: Magenta;
  }
  
  .modal2 {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    justify-content: center;
    align-items: center;
  }
  
  .modal2-content {
    background-color: white;
    padding: 20px;
    border-radius: 5px;
    max-width: 400px;
    text-align: center;
  }

  /* Style to make all buttons the same width */
  .modal2-content button {
    width: 100%;
    margin-bottom: 5px;
    text-align: left; /* Left justify text */
    padding-left: 10px; /* Add padding to align text properly */
  }
